Subject: Re: bug#16828: 24.3.50; eval-expression, character representation of integer results time-consuming

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Mar 2017 17:13:35 +0300

> From: [email-masked]
> Date: Sat, 25 Mar 2017 23:45:22 -0400
> Cc: Katsumi Yamaoka <[email-masked]>, [email-masked]
> 
> martin rudalics <[email-masked]> writes:
> 
> >> Especially on Cygwin, it's very annoying when edebugging.  Displaying
> >> a character for the number of a point or a result of a calculation is
> >> useless.
> >
> > The most annoying aspect here is that it very often finds a character
> > with a superscript and increases the height of my echo area.  Think of
> > how valuable this is when debugging code resizing the echo area ;-)
> 
> I wonder how it could take so long to fix this silly thing.

It isn't silly IME, I actually use this feature.

So, under this proposal, is there any way to get the character for a
single invocation of M-:, without setting the option, if I only need
that sometimes?  Should there be such a way?

Thanks.